#!/bin/bash
source compcommon.sh

C="$C $CSIG"
L="$L $LSIG"

M4 yyypostman.hpp.m4 yyypostman.hpp
M4 yyysigdeferer.hpp.m4 yyysigdeferer.hpp
CXX $C -c display.cpp
CXX $C -c messages.cpp
CXX $C -c yyylowlevelnet.cpp
CXX $C -c yyyexceptions.cpp
CXX $C -c memchk.cpp
CXX $C -c fatal.cpp
CXX $C -c yyyzeit.cpp
CXX $C -c yyyscheduler.cpp
CXX $C -c selector.cpp
CXX $C -c yyysendables.cpp

CXX $C -c server.cpp
CXX $L -o server yyysendables.o memchk.o yyylowlevelnet.o server.o fatal.o yyyscheduler.o selector.o yyyzeit.o yyyexceptions.o messages.o

CXX $C -c client.cpp
CXX $L -o client yyysendables.o memchk.o yyylowlevelnet.o client.o yyyscheduler.o selector.o yyyzeit.o yyyexceptions.o display.o messages.o -lncurses
