#ifndef __DISPLAY_HPP
#define __DISPLAY_HPP

#include "binarydefs.hpp"

extern bool disp_inited;
extern int32 disp_cpx, disp_cpy;

void disp_init();
void disp_deinit();

void disp_put(int32 x, int32 y, uint8 c, uint8 f);
void disp_curs(int32 x, int32 y);
void disp_putstring(int32 x, int32 y, const string &s, uint8 f);
void disp_update();
void disp_putbox(int32 x, int32 y, int32 sx, int32 sy, uint8 c, uint8 f);

#endif
